Pb de synchro Gannonce blockchain Duniter?

gannonce

#1

Je note que depuis quelques temps, Ḡannonce ne collecte plus les dons de crowdfunding.
Pour mon annonce: https://gannonce.duniter.org/#/announce/a9fac56b-f6c1-47e1-9ee3-45b925f2a997 où des transactions existent pourtant. J’imagine que les autres annonces ont le même problème.

Après le Christmas break, cela provient-il de la MAJ vers Duniter 1.7 qui n’aurait pas été reporté sur gannonce?


Ğannonces - petites annonces en monnaie libre
#2

Bien vu, le nœud du module Ğannonce doit être bloqué sur le fork des blocs version 10.
Du coup, il n’a pas accès aux dernières transactions.
Une adaptation du code qui lis la base de données est surement envisageable.


#3

Petit up ^^

@Moul J’ai regardé, je crois comprendre, que gannonce-ui se base sur gannonce-pod pour faire le pont avec duniter.

Dans gannonce-pod, le call API suivant :
https://gannonce.duniter.org/api//account/GAh4zUSmcZCc7BUNpdv2SRPKSBqSfoxdHTGZFajdiRr3

retourne ceci :

{
  "enoughMoney": false
}

Ce qui est faux, car c’est un membre ayant reçu du DU et qui a de l’argent.

Par contre si j’utilise ma clé qui a de l’argent depuis bien longtemps :

https://gannonce.duniter.org/api//account/FNVeWqnZCjGFspj1sjBmwFfoT8tDv99ifGLbNY2UpzPw

J’ai bien la réponse :

{
  "enoughMoney": true
}

Ce qui veut dire que le gannonce-pod, se base sur un noeud duniter qui lui est resté bloquer non ?

Mais on ne sait pas lequel. :slight_smile:

My 2Cts,

EDIT :
Related to :


#4

Bien vu, il faudrait mettre à jour la version du nœud Duniter sur lequel se base gannonce-pod (nœud spécialisé) en v1.6.31 dans le dépôt git.
Puis, l’un des admins du serveur pourra le mettre à jour.


#5

J’ai ouvert une issue, par contre @1000i100 tu es encore le seul membre de ce projet, :smiley:

Il faut peut etre que tu donnes le ownership @cgeek pour qu’il puisse faire les merges ? :thinking:


#6

Fait :wink:


#7

Mince je suis parti sur la 1.7.12, ça marche ou il faut absolument celle que tu préconises ?


#8

Il faut une 1.6.x, car la 1.7 modifie le format de la base de données.
Pour passer en 1.7, il faut adapter ce point.


#9

Merci, je change alors. :smiley:


#10

Fait ^^

Sur yarn il n’y a pas la 1.6.31, j’ai pris la dernière en 1.6 disponible donc la 29.


#11

Je viens de la publier, peux-tu mettre à jour en 1.6.31 ? Puis je m’occupe de resynchroniser.

Je vais tenter d’ajouter une page de maintenance pendant ce temps.


#12

Yes, je viens de voir. tu as déjà tout fait. :slight_smile:

Merci !


#13

ça pourrait être un plus de pouvoir questionner facilement le pod pour les UI.

Je propose qqchose coté UI pour l’afficher sur la sidebar par exemple (sans que ce soit réactif pour autant dans un premier temps. ^^)